Create Webhook subscription

Creates a webhook subscription.

Path Params
string
required

Tenant identifier.

Query Params
string
enum
Defaults to HTTP

Connection type (OAuth2, API_KEY, etc.).

Allowed:
Body Params
string
enum
required

Modification type.

Allowed:
string

Required for connectionType=HTTP. Callback URL to nofify about the change. Must be HTTPS.

string
required

The path to indicate the resource you want to subscribe to.

date-time
required

Expiration Date Time.

string

The affiliate code (brandCode) is an identifier for the "brand" or "affiliate" within a Tenant. The affiliate code is the version of the brand name that appears in the URL. A brand name may be "Corporate ABC", for example. Then the affiliate code might be something like "corporate-abc".

string

Required for connectionType=SOCKET. Name of the event to which the client subscribes.

string

If present, the server generates an HMAC SHA256 hash of the event body and attaches "integrityHash" header in each HTTP request. The value of this field is used for both client-side and server-side encryption/decryption.

string

base64. If present, the server attaches "Authorization: Basic {value}" header in each HTTP request.

number
boolean

Custom workflow.

businessEvents
array of strings

For customWorkflow type subscriptions. List of businessEvents to which to subscribe.

businessEvents
Response
201

The Webhook subscription has been successfully created.

Language
Credentials
Bearer
JWT
LoadingLoading…
Response
Click Try It! to start a request and see the response here!